# gsymcheck

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
ENVIRONMENT
AUTHOR
SEE ALSO
COPYRIGHT

## NAME

| gsymcheck - gEDA/gaf Symbol Checker

## SYNOPSIS

| gsymcheck [-h] [-v] [-q] symbol1 [... symbolN]

## DESCRIPTION

| gsymcheck is a symbol checker for gEDA/gaf. Here is a list of checks that gsymcheck performs:

| • | Checks for graphical= attribute (if present does varied tests)
| • | Checks for the device= attribute
| • | Checks for various other missing attributes (pinlabel, pintype, pinseq, footprint, refdes)
| • | Checks to make sure that the active pin end is on the 100 unit grid.
| • | Checks the uses of the various attributes (duplicates, incorrect syntax, invalid values, etc...)
| • | Checks for obsolete, old, and forbidden attributes
| • | Checks for any nets or buses within a symbol
| • | Checks for any other connections within a symbol
| • | Checks to make sure the number of pins is the correct number

## OPTIONS

| gsymcheck accepts the following options:

| -q |  | Quiet mode on. This mode turns off all warnings/notes/messages. (optional)
| -v |  | Verbose mode 1. This mode will show all error messages (optional)
| -vv |  | Verbose mode 2. This mode will show all error and warning messages (optional)
| -vvv |  | Verbose mode 2. This mode will show all error, warning, and info messages (optional)
| -h |  | Usage summary / gsymcheck help

| symbol1 [... symbolN]

| At least one symbol file must be specified. If multiple symbols are specified then they are sequentially read in and checked. It is important that the schematic(s) follow all the options (ie last).

## EXAMPLES

| Here are some examples on how to run gsymcheck: To get usage information just run:

| gsymcheck

| To actually check a symbol with just error counts, run:

| gsymcheck symbolfilename.sym

| To get the actuall error messages, run:

| gsymcheck -v symbolfilename.sym

| To see all the error messages and warnings, run:

| gsymcheck -vv symbolfilename.sym

| To see all the error messages, warnings, and parse info, run:

| gsymcheck -vvv symbolfilename.sym

## ENVIRONMENT

| gsymcheck respects the following environment variable:

| GEDADATA

| specifies where the various required scheme and rc files are located (the default is ${prefix}/share/gEDA). This environment variables does not need to be set by the end user unless they are moving the executables to a new install ${prefix}.

## AUTHOR

| Ales Hvezda and many others

## SEE ALSO

| gschem(1), gnetlist(1)

## COPYRIGHT

| Copyright © 1999-2008 Ales Hvezda This document can be freely redistributed according to the terms of the GNU General Public License version 2.0